function FF(v){
	if(v==-1){
		return 0;
	}else{
		return 1;
	}
}
//
function fAdd(){
	var tip=gv("Tip");
	var StrF=gv("Foto");
	if(jL(tip)==0){
		return AF("Seleccione un tipo","Tip");
	}
	if(tip=="FOTO1" || tip=="FOTO2" || tip=="FOTO DESCRIP" || tip=="FLYERS 1" || tip=="FLYERS 2" || tip=="FLYERS 3" || tip=="PDF"){
		if(jL(StrF)==0){
			return AF("Para el tipo "+tip+" se requiere seleccionar un archivo","Foto");
		}
		if(tip=="PDF"){
			StrF=StrF.toUpperCase();
			var pdf=StrF.indexOf(".PDF");
			if(pdf==-1){			
				return AF("Seleccione un archivo de tipo .pdf","Foto");
			}	
		}else{
			StrF=StrF.toUpperCase();
			var img=FF(StrF.indexOf(".JPG"))+FF(StrF.indexOf(".PNG"))+FF(StrF.indexOf(".JPEG"));
			if(img==-1){			
				return AF("Seleccione un archivo del tipo .jpg , .png o .jpeg","Foto");
			}	
		}
		var F11=document.getElementById("Foto");
		var StrFile = F11.files[0];
		if(StrFile.size>1024*1024){
			alert("El tamaño del archivo no debe ser superior a 1 MB");
			jF("Foto");
			return;
		}
		SM("UPLOAD");
	}else{
		alert("No se puede determinar el proceso");
	}
	//	
}
//
function fEli(tip){
	if(jL(tip)==0){
		alert("Archivo no asignado");
	}else{
		sv("DET_TIP",tip);
		SM("ELI");
	}
}
//
function fVer(tip){
	if(jL(tip)==0){
		alert("Archivo no asignado");
	}else{
		sv("DET_TIP",tip);
		SM("VER");
	}
}